Package net.shibboleth.shared.xml

# Enum Class SchemaBuilder.SchemaLanguage

java.lang.Object
java.lang.Enum<SchemaBuilder.SchemaLanguage>
net.shibboleth.shared.xml.SchemaBuilder.SchemaLanguage

All Implemented Interfaces:
  `Serializable`, `Comparable<SchemaBuilder.SchemaLanguage>`, `Constable`

Enclosing class:
  SchemaBuilder

public static enum SchemaBuilder.SchemaLanguage extends Enum<SchemaBuilder.SchemaLanguage>
Language of the schema files.

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`RELAX`
OASIS RELAX NG Schema.
`XML`
W3 XML Schema.

## Field Summary

Fields
Modifier and Type
Field
Description
`private String`
`schemaFactoryURI`
Constant for use with `SchemaFactory.newInstance(String)`.

## Constructor Summary

Constructors
Modifier
Constructor
Description
`private`
`SchemaLanguage(String uri)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`SchemaFactory`
`getSchemaFactory()`
Get a `SchemaFactory` instance for a schema language.
`static SchemaBuilder.SchemaLanguage`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static SchemaBuilder.SchemaLanguage[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### XML

public static final SchemaBuilder.SchemaLanguage XML
W3 XML Schema.

### RELAX

public static final SchemaBuilder.SchemaLanguage RELAX
OASIS RELAX NG Schema.

## Field Details

### schemaFactoryURI

@Nonnull private String schemaFactoryURI
Constant for use with `SchemaFactory.newInstance(String)`.

## Constructor Details

### SchemaLanguage

private SchemaLanguage(@Nonnull @NotEmpty String uri)
Constructor.

Parameters:
  `uri` - schema factory identifier

## Method Details

### values

public static SchemaBuilder.SchemaLanguage[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static SchemaBuilder.SchemaLanguage valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### getSchemaFactory

@Nonnull public SchemaFactory getSchemaFactory()
Get a `SchemaFactory` instance for a schema language.

Returns:
  a factory instance